felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stuart McCulloch <mccu...@gmail.com>
Subject Re: [VOTE] release maven-bundle-plugin 2.0.0
Date Wed, 04 Mar 2009 16:08:26 GMT
2009/3/4 <Clovis.SERAGIOTTO@raibau.at>

> [x] -1
>
> maven-bundle-plugin 2.0.0 uses the version 1.0-alpha-7 of
> org.codehaus.plexus.plexus.archiver. This is a problem for me, because I
> need the version 1.0-alpha-10, which is not compatible with 1.0-alpha-7.
> If I use maven-bundle-plugin 2.0.0 and org.codehaus.plexus.plexus.archiver
> 1.0-alpha-10 together, I get an error:
>

please note that the vote has already completed and 2.0.0 is now released

also the bundleplugin has used 1.0-alpha-7 of the plexus archiver in its pom
since its first public release (1.2.0) so this dependency is not something
new
in this release, it has been there since the very beginning...

I'm also not sure why you are getting a conflict - Maven is supposed to
isolate
plugins from external project dependencies (that's why they recommend plugin
poms explicitly list their dependency versions, which is what we do)

to investigate this issue further you should open a new JIRA issue and
attach
a testcase that we can use to recreate your problem - you should also list
your
OS / Java / Maven details in case it's actually a Maven issue

[INFO]
> ------------------------------------------------------------------------
> [ERROR] FATAL ERROR
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Class org.codehaus.plexus.configuration.xml.XmlPlexusConfiguration
> does not implement the requested interface
> org.codehaus.plexus.configuration.PlexusConfiguration
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Trace
> java.lang.IncompatibleClassChangeError: Class
> org.codehaus.plexus.configuration.xml.XmlPlexusConfiguration does not
> implement the requested interface
> org.codehaus.plexus.configuration.PlexusConfiguration
>        at
>
> org.apache.felix.bundleplugin.JarPluginConfiguration.getArchiveConfiguration(JarPluginConfiguration.java:58)
>        at
>
> org.apache.felix.bundleplugin.BundlePlugin.mergeMavenManifest(BundlePlugin.java:508)
>        at
>
> org.apache.felix.bundleplugin.BundlePlugin.buildOSGiBundle(BundlePlugin.java:398)
>        at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:282)
>        at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:236)
>        at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:227)
>        at
>
> org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:453)
>        at
>
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:559)
>        at
>
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWithLifecycle(DefaultLifecycleExecutor.java:500)
>        at
>
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:479)
>        at
>
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:331)
>        at
>
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:292)
>        at
>
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:142)
>        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:336)
>        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:129)
>        at org.apache.maven.cli.MavenCli.main(MavenCli.java:301)
>        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>        at
>
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
>        at
>
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
>        at java.lang.reflect.Method.invoke(Method.java:597)
>        at
> org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
>        at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
>        at
> org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
>        at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
> ______________________________________
> Diese E-Mail kann vertrauliche und geschuetzte Informationen enthalten.
> Wenn diese E-Mail nicht für Sie bestimmt ist, bitten wir Sie, uns
> unverzueglich zu informieren und sie zu loeschen.
>
> This e-mail message may contain information, which is confidential and
> protected. If you are not the intended recipient of this message, we ask you
> to inform us immediately and delete the message afterwards.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
> For additional commands, e-mail: users-help@felix.apache.org
>

-- 
Cheers, Stuart

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message